Foxit PDF SDK

Instance Methods | List of all members
FSStructMarkedContent Class Reference
Inheritance diagram for FSStructMarkedContent:

## Instance Methods
(unsigned int) | - getMCID
| Get marked-content identifier(MCID). More...
(FSStructElement *) | - getParentElement
| Get the parent structure element. More...
(FSPDFDictionary *) | - getStmDict
| Get PDF dictionary of the content stream that contains the marked-content sequence. More...
(FSPDFDictionary *) | - getStmOwnerDict
| Get PDF dictionary of content stream owner. More...
(id) | - init
| Constructor.
(id) | - initWithOther:
| Constructor, with another structure marked-content object. More...
Instance Methods inherited from FSStructTreeEntity
(FSPDFPage *) | - getPage
| Get the related PDF page. More...
(FSStructTreeEntityStructTreeEntityType) | - getType
| Get structure tree entity type. More...
(id) | - initWithOther:
| Constructor, with another structure element entity object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...

## Detailed Description

This class represents a marked-content item.

## Method Documentation

## ◆ getMCID()

- (unsigned int) getMCID |  |  |

Get marked-content identifier(MCID).

Returns
  Marked-content identifier.

## ◆ getParentElement()

- (FSStructElement *) getParentElement |  |  |

Get the parent structure element.

Returns
  Parent structure element. If function StructElement::IsEmpty for the returned object returns YES, that means current element does not have a parent element.

## ◆ getStmDict()

- (FSPDFDictionary *) getStmDict |  |  |

Get PDF dictionary of the content stream that contains the marked-content sequence.

The content stream containing the marked-content sequence. This entry should be present only if the marked-content sequence resides in a content stream other than the content stream for the page.

Returns
  PDF dictionary of content stream that contains the marked-content sequence.

## ◆ getStmOwnerDict()

- (FSPDFDictionary *) getStmOwnerDict |  |  |

Get PDF dictionary of content stream owner.

Returns
  PDF dictionary of content stream owner.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSStructMarkedContent*) | other |

Constructor, with another structure marked-content object.

Parameters

  [in] | other | Another structure marked-content object.